package com.ematou.wxservice.mp.menu;

import java.util.List;

/**
 * 网页类型
 * @author lhm
 * @version 1.0
 * 2021-05-11 19:48
 */
public class ViewButton extends Button {

    private String url;

    private List<Button> sub_button;

    public ViewButton(String name, String type, String url) {
        super(name, type);
        this.url = url;
    }

    public ViewButton() {
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public List<Button> getSub_button() {
        return sub_button;
    }

    public void setSub_button(List<Button> sub_button) {
        this.sub_button = sub_button;
    }
}
